const { ContainerSession, FundamentalAndReference } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
    console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

    const dataSession = ContainerSession.Definition({
        appKey: 'InputAppKeyHere',
        bus: sxs
    }).getSession();

    try {
        await dataSession.open();

        const fundAndRefDefinition = FundamentalAndReference.Definition({
            universe: ['IBM', 'GOOGL.O', 'MSFT.O'],
            fields: ['TR.PriceClose', 'TR.Volume', 'TR.PriceLow'],
            parameters: { SDate: '0CY', Scale: 6 }
        });

        const response = await fundAndRefDefinition.getData(dataSession);
        console.log('get Data result:', response.data.raw);

    } catch (e) {
        console.log(e);
    } finally {
        await dataSession.close();
    }
});
