const { ContainerSession, Pricing } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
    console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

    const dataSession = ContainerSession.Definition({
        appKey: 'InputAppKeyHere',
        bus: sxs
    }).getSession();

    const pricingDefinition = Pricing.Definition({
        universe: 'EUR=',
        fields: ['DSPLY_NAME', 'PRCTCK_1', 'TRDPRC_1', 'PCTCHNG', 'HIGH_1', 'LOW_1']
    });

    const stream = pricingDefinition.getStream(dataSession);

    dataSession
        .open()
        .then(() => stream.open())
        .then(() => new Promise(res => setTimeout(res, 5000)))
        .then(() => {
            console.log(`EUR= all fields:`, stream.getFields('EUR='));
            console.log(`EUR= subset of fields:`, stream.getFields('EUR=', ['DSPLY_NAME', 'BID_NET_CH']));
            console.log(`EUR= field value of DSPLY_NAME field:`, stream.getFieldValue('EUR=', 'DSPLY_NAME'));
            console.log(`EUR= stream status:`, stream.getItemStatus('EUR='));
            console.log(`Stream instruments:`, stream.getUniverse());

            return stream.close();
        })
        .catch(console.log)
        .then(() => dataSession.close());
});
