const { ContainerSession, Pricing } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
    console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

    const dataSession = ContainerSession.Definition({
        appKey: 'InputAppKeyHere',
        bus: sxs
    }).getSession();

    const pricingDefinition = Pricing.Definition({
        universe: 'EUR=',
        fields: ['DSPLY_NAME', 'PRCTCK_1', 'TRDPRC_1', 'PCTCHNG', 'HIGH_1', 'LOW_1']
    });

    const stream = pricingDefinition
        .getStream(dataSession)
        .onRefresh((refresh, instrument) => console.log(instrument, refresh))
        .onUpdate((update, instrument) => console.log(instrument, update))
        .onStatus((status, instrument) => console.log(instrument, status))
        .onComplete(() => console.log('Complete'))
        .onError(err => console.log(err));

    dataSession
        .open()
        .then(() => stream.open())
        .then(() => new Promise(res => setTimeout(res, 30000)))
        .then(() => stream.close())
        .catch(console.log)
        .then(() => dataSession.close());
});
