const { ContainerSession, Search } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
  console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

  const dataSession = ContainerSession.Definition({
    appKey: 'InputAppKeyHere',
    bus: sxs
  }).getSession();

  // To use orderBy uncomment Single or Multiple sorting examples
  // uncomment OrderBy (41 line)
  // and comment groupBy (40 line)

  // Single sorting
  // const orderBy = 'PrimaryOfficerDirector';

  // Multiple sorting
  // const orderBy = new Map()
  // .set('PrimaryOfficerDirector', Search.OrderByDirection.desc)
  // .set('YearOfBirth', Search.OrderByDirection.asc);

  try {
    await dataSession.open();
    const searchDefinition = Search.Definition({
      view: Search.View.People,
      query: 'Microsoft',
      top: 5,
      filter: "OfficerDirector(RoleTitleCode eq 'CEO' and RoleStatus eq 'Active')",
      select: 'FullName, YearOfBirth, DTCharacteristics, PrimaryOfficerDirectorRIC, PrimaryOfficerDirector, OfficerDirector',
      groupBy: 'PrimaryOfficerDirector',
      // orderBy,
    });

    const searchResponse = await searchDefinition.getData(dataSession);
    console.log('Search data', searchResponse.data.raw);

  } catch (e) {
    console.log(e);
  } finally {
    await dataSession.close();
  }
});

