const { ContainerSession, Search } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
    console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

    const dataSession = ContainerSession.Definition({
        appKey: 'InputAppKeyHere',
        bus: sxs
    }).getSession();

    try {
        await dataSession.open();
        const searchDefinition = Search.Definition({
            view: Search.View.People,
            query: 'CTO Microsoft',
        });

        const searchResponse = await searchDefinition.getData(dataSession);
        console.log('Search data', searchResponse.data.raw);

    } catch (e) {
        console.log(e);
    } finally {
        await dataSession.close();
    }
});
