const { ContainerSession, SymbolConversion } = window['@refinitiv/dataplatform-containersession'];

const sxs = window.sxsWeb;

// For users, who use a private network
// sxs("config", "use-network", "private");


sxs.start(new Date());
sxs.onLoad(async () => {
    console.log('[DEMO] WebSDK Loaded at time: ' + new Date());

    const dataSession = ContainerSession.Definition({
        appKey: 'InputAppKeyHere',
        bus: sxs
    }).getSession();

    try {
        await dataSession.open();
        const symbologyDefinition = SymbolConversion.Definition({
            symbols: ['MSFT.O', 'GOOG.O', 'IBM.N'],
            fromSymbolType: SymbolConversion.SymbolType.RIC,
            toSymbolType: [
                SymbolConversion.SymbolType.ISIN,
                SymbolConversion.SymbolType.Ticker,
                SymbolConversion.SymbolType.SEDOL
            ],
        });

        const symbologyResponse = await symbologyDefinition.getData(dataSession);
        console.log('Symbol conversion data:', symbologyResponse.data.raw);

    } catch (e) {
        console.log(e);
    } finally {
        await dataSession.close();
    }
});

